This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 463192 (CVE-2008-4059)

Summary: CVE-2008-4059 Mozilla privilege escalation via XPCnativeWrapper pollution
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-4059
Whiteboard: impact=critical,source=mozilla,reported=20080901,public=20080923
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-22 15:30:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 460518, 460519, 460520    

Description Josh Bressers 2008-09-22 11:20:24 EDT
Mozilla security researcher moz_bug_r_a4 reported a series of
vulnerabilities by which page content can pollute XPCNativeWrappers and
have arbitrary code run with chrome privileges. One variant reported by
moz_bug_r_a4 only affected Firefox 2.

This bug covers the Firefox 2 variant.
Comment 2 Josh Bressers 2008-09-23 13:59:21 EDT
This is from MFSA 2008-41
Comment 3 Josh Bressers 2008-09-23 21:04:46 EDT
This is now public
Comment 4 Fedora Update System 2008-11-21 05:55:39 EST
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-11-21 06:03:14 EST
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.